<template>
	<div class="graphic">
		<canvas height="250px" id="canvas_1" width="250px"/>
		<canvas @click="clickGraphics" height="250px" id="canvas_2" width="250px"/>
	</div>
</template>

<script>
    import {mapActions, mapGetters, mapMutations, mapState} from "vuex";

    export default {
        name: "CanvasComponent",
        data() {
            return {};
        },
        watch: {},
        computed: {
            ...mapState(['graphics']),
            ...mapGetters(["getRadius"]),
        },
        methods: {
            ...mapMutations(['createGraphics']),
            ...mapActions(["addPointAction"]),
            clickGraphics(event) {
                let xy = this.graphics.sendNewPoint(event);
                let data = {
                    x: xy.x,
                    y: xy.y,
                    r: this.getRadius,
                };
                this.addPointAction(data);
            }
        },
        mounted() {
            this.createGraphics();
            this.graphics.drawBackground();
            this.graphics.drawArea(this.getRadius);
        }
    }
</script>

<style scoped>

</style>